//---------------------------------------------------------------------------

#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Menus.hpp>
#include <ExtCtrls.hpp>
#include <ComCtrls.hpp>
#include <Dialogs.hpp>
#include <ImgList.hpp>
#include "NxColumnClasses.hpp"
#include "NxColumns.hpp"
#include "NxCustomGrid.hpp"
#include "NxCustomGridControl.hpp"
#include "NxEdit.h"
#include "NxGrid.hpp"
#include "NxGridPrint.h"
#include "NxScrollControl.h"
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
        TButton *Button1;
        TMainMenu *MainMenu1;
        TMenuItem *File1;
        TMenuItem *Exit1;
        TMenuItem *Style1;
        TMenuItem *Default1;
        TMenuItem *Flat1;
        TMenuItem *OldStyleMSAccess1;
        TPanel *Panel1;
        TNextGrid *GridView1;
        TPanel *Panel2;
        TStatusBar *StatusBar1;
        TNxSpinEdit *SpinEditor1;
        TLabel *Label1;
        TButton *Button2;
        TSaveDialog *SaveDialog1;
        TMenuItem *Print1;
        TMenuItem *N1;
        TPrintDialog *PrintDialog1;
        TNxGridPrint *GridPrint1;
        TNxColorPicker *ColorPickerEditor1;
        TLabel *Label2;
        TMenuItem *Selection1;
        TMenuItem *SellectAll1;
        TMenuItem *N2;
        TMenuItem *SelectFullRow1;
        TMenuItem *MultiSelect1;
        TMenuItem *SelectNone1;
        TImageList *imlGrid;
        void __fastcall Button1Click(TObject *Sender);
        void __fastcall Exit1Click(TObject *Sender);
        void __fastcall Default1Click(TObject *Sender);
        void __fastcall Flat1Click(TObject *Sender);
        void __fastcall OldStyleMSAccess1Click(TObject *Sender);
        void __fastcall SpinEditor1Change(TObject *Sender);
        void __fastcall FormCreate(TObject *Sender);
        void __fastcall GridView1SelectCell(TObject *Sender, int ACol,
          int ARow);
        void __fastcall GridView1FooterClick(TObject *Sender, int ACol);
        void __fastcall Button2Click(TObject *Sender);
        void __fastcall Print1Click(TObject *Sender);
        void __fastcall ColorPickerEditor1Change(TObject *Sender);
        void __fastcall SellectAll1Click(TObject *Sender);
        void __fastcall SelectFullRow1Click(TObject *Sender);
        void __fastcall MultiSelect1Click(TObject *Sender);
        void __fastcall SelectNone1Click(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
